> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ワークスペースを作成

> 新しいワークスペースを作成します



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/workspace/create
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/workspace/create:
    post:
      tags:
        - ワークスペース管理
      summary: ワークスペースを作成
      description: 新しいワークスペースを作成します
      operationId: createWorkspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: ワークスペース名
                  example: My ワークスペース
                  maxLength: 50
                description:
                  type: string
                  description: ワークスペースの説明
                  example: 請求書処理用のワークスペースです
                  maxLength: 200
                enterprise_id:
                  type: integer
                  format: int64
                  description: エンタープライズ組織 ID
                  example: 12345
                auth_scope:
                  type: integer
                  description: '共同利用範囲 0: 自分のみ表示 1: エンタープライズメンバーに表示'
                  example: 1
                  enum:
                    - 0
                    - 1
              required:
                - name
                - enterprise_id
                - auth_scope
      responses:
        '200':
          description: ワークスペースの作成に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          workspace_id:
                            type: string
                            description: ワークスペース ID
                            example: '1234567890'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````